도도해
35
2019-05-08 14:20:46
21
2474

다들 jdk버전 몇 쓰시나요?


이번에 새로 프로젝트를 들어가는데 JDK 버전에 대해 고민입니다.


jdk 1.8을 쓰고싶은데 위에선 버전이 높다고 우려를 표하네요.


주로 공공기관 프로젝트만 하다보니 JDK 1.7을 사용하고 있습니다.


전자정부도 3.8버전도 사용하고 싶은데 1.8이 필수라고 해서 생각이 많습니다.


다들 jdk 버전 몇 쓰시나요?

0
0
  • 댓글 21

  • 개발자학도
    993
    2019-05-08 14:21:48

    작년에 운영하는 웹서버 5곳 jdk 1.8로 업그레이드 하자마자 

    오라클에서 2019년부터 유료화한다고해서 또 바로 호다닥 open jdk 1.8로 갈아꼈습니다 

    0
  • aimhigh
    287
    2019-05-08 14:22:34

    1.8씁니다. Jdk 1.8 julu

    0
  • abilists.com
    756
    2019-05-08 14:22:35

    1.8사용합니다.

    0
  • zepinos
    18k
    2019-05-08 14:31:21

    11 씁니다. 1.8 을 아직까지들 많이 쓰는거에 대해...충격입니다.

    0
  • 캐츠비
    596
    2019-05-08 14:32:47

    여긴 1.8 쓰고있네요. 

    0
  • SG Y
    115
    2019-05-08 14:43:23

    1.8 씁니다

    0
  • 더미
    13k
    2019-05-08 14:48:06
    이젠 8까진 올라온거 같습니다
    0
  • 사는게힘듭니다
    2019-05-08 14:53:22

    1,8 쓰고있습니다.

    0
  • 우주대존맛
    1k
    2019-05-08 15:05:05

    1.6이욤

    1
  • fender
    14k
    2019-05-08 15:10:04 작성 2019-05-08 15:15:36 수정됨

    라이센스 문제를 차치하고라도, 1.8은 나온지 5년이 넘었고 그 이후로 LTS를 포함한 메이저 버전이 네 번이나 더 출시되어 기술 지원 종료가 3년 밖에 남지 않은 상황입니다.

    참고로 올해 3월에 자바 12가 출시되었고 1.7의 프리미어 기술지원은 두 달 뒤에 종료됩니다.

    지금 시점에 자바 1.8이 '너무 높은 버전'이라고 우려한다면 아마도 그 분이 자바 릴리즈 일정에 대해 관심이 없었기 때문이 아닌가 싶습니다.

    0
  • 뒷집할머니
    1k
    2019-05-08 15:15:21

    자바는 파이썬에 비해 양호한 편이죠.

    2.7 언제까지 갈런지...

    0
  • dkb
    1k
    2019-05-08 15:19:27

    JDK11 씁니다.

    12로 올려보고 싶네요

    0
  • Lv. 29 라이츄
    1k
    2019-05-08 15:38:34
    가장 최근꺼요.. 11인가 12인가... jre는 1.8 씁니다. 
    0
  • 산들바람_
    1k
    2019-05-08 15:47:12

    회사서버 1.6

    개인용 1.8

    나의 사고방식 1.4 ㅋㅋ

    1
  • 늅늅
    545
    2019-05-08 16:27:25

    1.6 !!!!

    0
  • 유리세계
    1k
    2019-05-08 16:29:26

    1.7 jdk

    Openjdk 1.8 둘다요

    0
  • 닉닉
    470
    2019-05-08 16:29:41

    회사는 1.7 개인적으로는 1.8씁니다

    0
  • 주6일근무자
    1k
    2019-05-08 17:06:44

    1.7쓰네요.

    0
  • 아이디온
    1k
    2019-05-08 19:06:31

    저희는 예전플젝의 경우 7, 최근 플젝은 8이나 8에서 추가된 기능은 사용하질 않네요 @..@

    0
  • 서버캣
    95
    2019-05-09 01:24:05

    11 adopt hotspot 요

    0
  • 냉동참치
    395
    2019-05-09 09:18:13

    si, sm 하시는분들은 jdk버전을 제공해주는대로 하지 않나여?

    저같은 경우는 보통 한서버에 여러서비스가 구동되는경우가 많거나, 솔루션이 지원하지 않거나 해서 9이상 설치된데를 본적이 없네여.

    그거 맞출라면 저도 별수없이 그버전 쓰는거고

    0
  • 로그인을 하시면 댓글을 등록할 수 있습니다.